package com.ibtp.kontor.dal;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.persistence.EntityManager;

/**
 * Created by TPEETZ on 16.01.2015.
 */
public class BaseImpl {

    protected BaseImpl() {
        Logger logger = LoggerFactory.getLogger(this.getClass().getName());
        logger.info("BaseImpl started");
    }

    protected EntityManager getEntityManager() {
        return DatabaseManager.getDatabase().getEntityManager();
    }
}
